Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.format
Class GraphicalLabelFormats

    java.lang.Object
      info.bioinfweb.treegraph.document.format.LabelFormats
          info.bioinfweb.treegraph.document.format.GraphicalLabelFormats

All Implemented Interfaces:
  ElementFormats, Cloneable

Direct Known Subclasses:
  IconLabelFormats, PieChartLabelFormats

    public abstract class GraphicalLabelFormats

extends LabelFormats

All format classes for document elements which represent labels with line formats should inherit from this class.

Since:
  2.0.43
Author:
  Ben Stöver

Field Summary
`static float` | `DEFAULT_ICON_HEIGHT_IN_MM`
`static float` | `DEFAULT_ICON_WIDTH_IN_MM`
`private DistanceValue` | `height`
`private Color` | `lineColor`
`private DistanceValue` | `lineWidth`
`private DistanceValue` | `width`

Fields inherited from class info.bioinfweb.treegraph.document.format.LabelFormats
`DEFAULT_MARGIN_IN_MM`

Constructor Summary
`GraphicalLabelFormats(Label owner)`
`GraphicalLabelFormats(Label owner, boolean above, int line, int linePosition)`

Method Summary
`void` | `assignGraphicalLabelFormats(GraphicalLabelFormats other)` Assigns the graphical labels formats to this object.
`void` | `assignLineFormats(LineFormats other)`
`DistanceValue` | `getHeight()`
`Color` | `getLineColor()`
`DistanceValue` | `getLineWidth()`
`DistanceValue` | `getWidth()`
`void` | `setLineColor(Color color)`

Methods inherited from class info.bioinfweb.treegraph.document.format.LabelFormats
`assignLabelFormats, clone, getLineNumber, getLinePosition, getMargin, getOwner, isAbove, setAbove, setLineNumber, setLinePosition, setOwner`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ICON_WIDTH_IN_MM

    public static final float DEFAULT_ICON_WIDTH_IN_MM

See Also:
  Constant Field Values

### DEFAULT_ICON_HEIGHT_IN_MM

    public static final float DEFAULT_ICON_HEIGHT_IN_MM

See Also:
  Constant Field Values

### lineColor

    private Color lineColor

### lineWidth

    private DistanceValue lineWidth

### width

    private DistanceValue width

### height

    private DistanceValue height

Constructor Detail

### GraphicalLabelFormats

    public GraphicalLabelFormats(Label owner,
                                 boolean above,
                                 int line,
                                 int linePosition)

### GraphicalLabelFormats

    public GraphicalLabelFormats(Label owner)

Method Detail

### getLineColor

    public Color getLineColor()

### setLineColor

    public void setLineColor(Color color)

### getLineWidth

    public DistanceValue getLineWidth()

### getWidth

    public DistanceValue getWidth()

### getHeight

    public DistanceValue getHeight()

### assignLineFormats

    public void assignLineFormats(LineFormats other)

### assignGraphicalLabelFormats

    public void assignGraphicalLabelFormats(GraphicalLabelFormats other)

  Assigns the graphical labels formats to this object. (This does not include line formats.)

  Parameters:
    `other` - the source format object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD